path: /build/build/lua-dev-lua-5.3-5.3.5.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env:
  - JOBS=3
  - LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages"
  - LUET_PORTAGE_IGNORE_TAR_WARNING=1
  - LUET_PORTAGE_PKGMETA=1
  - LUET_PORTAGE_PKGFILES=1
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude:
  - |
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="readline" emerge dev-lua/lua:5.3 -pv -t
  - |
    USE="readline" emerge -j ${JOBS} --nodeps dev-lua/lua:5.3
  - eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/lua && luet-portage --dir /pkgdir/lua
    dev-lua/lua:5.3
  - rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-terragon-dev-tree:2776cc1543075629c474528da2f90f8487daeb8ed657810f767473b36ddaa1eb
  package:
    id: 0
    name: lua
    version: 5.3.5
    category: dev-lua-5.3
    useflags:
    - readline
    state: ""
    packagerequires:
    - id: 0
      name: macaroni-funtoo-race5
      version: '>=0'
      category: seed
      useflags: []
      state: ""
      packagerequires: []
      packageconflicts: []
      provides: []
      hidden: false
      annotations: {}
      path: ""
      description: ""
      uri: []
      license: ""
      buildtimestamp: ""
      labels: {}
      treedir: ""
      repository: ""
    packageconflicts: []
    provides: []
    hidden: false
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    path: ""
    description: A powerful light-weight programming language designed for extending
      applications
    uri:
    - http://www.lua.org/
    license: MIT
    buildtimestamp: 2022-11-09 19:40:19.821987455 +0000 UTC m=+59.101088094
    labels:
      DEPEND: '!>dev-lang/lua-5.3 readline? ( sys-libs/readline:0= ) sys-devel/libtool
        >=app-portage/elt-patches-20170815 !<sys-devel/gettext-0.18.1.1-r3 || ( >=sys-devel/automake-1.16.1:1.16
        >=sys-devel/automake-1.15.1:1.15 ) >=sys-devel/autoconf-2.69 >=sys-devel/libtool-2.4'
      IUSE: +deprecated emacs readline static test test-complete abi_x86_32 abi_x86_64
        abi_x86_x32 abi_mips_n32 abi_mips_n64 abi_mips_o32 abi_s390_32 abi_s390_64
      RDEPEND: readline? ( sys-libs/readline:0= )
      emerge.packages: dev-lua/lua:5.3
      kit: lang-kit
      original.package.name: dev-lua/lua
      original.package.slot: "5.3"
      original.package.version: 5.3.5-r1
    treedir: /build/packages
    repository: ""
  package_dir: /pkgdir/lua
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-terragon-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 15a8a9c283faf700844109b48a62612ea542ea22d410a373f975902673c3d799
compressiontype: zstd
files:
- usr/bin/lua5.3
- usr/bin/luac5.3
- usr/include/lua5.3/lauxlib.h
- usr/include/lua5.3/lua.h
- usr/include/lua5.3/lua.hpp
- usr/include/lua5.3/luaconf.h
- usr/include/lua5.3/lualib.h
- usr/include/x86_64-pc-linux-gnu/lua5.3/luaconf.h
- usr/lib64/liblua5.3.a
- usr/lib64/liblua5.3.la
- usr/lib64/liblua5.3.so
- usr/lib64/liblua5.3.so.0
- usr/lib64/liblua5.3.so.0.0.0
- usr/lib64/pkgconfig/lua-5.3.pc
- usr/lib64/pkgconfig/lua5.3.pc
- usr/lib64/pkgconfig/lua53.pc
- usr/share/doc/lua-5.3.5-r1/README.bz2
- usr/share/doc/lua-5.3.5-r1/html/contents.html
- usr/share/doc/lua-5.3.5-r1/html/index.css
- usr/share/doc/lua-5.3.5-r1/html/logo.gif
- usr/share/doc/lua-5.3.5-r1/html/lua.css
- usr/share/doc/lua-5.3.5-r1/html/manual.css
- usr/share/doc/lua-5.3.5-r1/html/manual.html
- usr/share/doc/lua-5.3.5-r1/html/osi-certified-72x60.png
- usr/share/doc/lua-5.3.5-r1/html/readme.html
- usr/share/man/man1/lua5.3.1.bz2
- usr/share/man/man1/luac5.3.1.bz2
- var/db/pkg/dev-lua/lua-5.3.5-r1/BUILD_TIME
- var/db/pkg/dev-lua/lua-5.3.5-r1/CATEGORY
- var/db/pkg/dev-lua/lua-5.3.5-r1/CBUILD
- var/db/pkg/dev-lua/lua-5.3.5-r1/CFLAGS
- var/db/pkg/dev-lua/lua-5.3.5-r1/CHOST
- var/db/pkg/dev-lua/lua-5.3.5-r1/CONTENTS
- var/db/pkg/dev-lua/lua-5.3.5-r1/COUNTER
- var/db/pkg/dev-lua/lua-5.3.5-r1/CXXFLAGS
- var/db/pkg/dev-lua/lua-5.3.5-r1/DEFINED_PHASES
- var/db/pkg/dev-lua/lua-5.3.5-r1/DEPEND
- var/db/pkg/dev-lua/lua-5.3.5-r1/DESCRIPTION
- var/db/pkg/dev-lua/lua-5.3.5-r1/EAPI
- var/db/pkg/dev-lua/lua-5.3.5-r1/FEATURES
- var/db/pkg/dev-lua/lua-5.3.5-r1/HOMEPAGE
- var/db/pkg/dev-lua/lua-5.3.5-r1/INHERITED
- var/db/pkg/dev-lua/lua-5.3.5-r1/IUSE
- var/db/pkg/dev-lua/lua-5.3.5-r1/IUSE_EFFECTIVE
- var/db/pkg/dev-lua/lua-5.3.5-r1/KEYWORDS
- var/db/pkg/dev-lua/lua-5.3.5-r1/LDFLAGS
- var/db/pkg/dev-lua/lua-5.3.5-r1/LICENSE
- var/db/pkg/dev-lua/lua-5.3.5-r1/NEEDED
- var/db/pkg/dev-lua/lua-5.3.5-r1/PF
- var/db/pkg/dev-lua/lua-5.3.5-r1/PROVIDES
- var/db/pkg/dev-lua/lua-5.3.5-r1/RDEPEND
- var/db/pkg/dev-lua/lua-5.3.5-r1/REQUIRES
- var/db/pkg/dev-lua/lua-5.3.5-r1/SIZE
- var/db/pkg/dev-lua/lua-5.3.5-r1/SLOT
- var/db/pkg/dev-lua/lua-5.3.5-r1/USE
- var/db/pkg/dev-lua/lua-5.3.5-r1/environment.bz2
- var/db/pkg/dev-lua/lua-5.3.5-r1/lua-5.3.5-r1.ebuild
- var/db/pkg/dev-lua/lua-5.3.5-r1/repository
package_cacheimage: ""
runtime:
  id: 0
  name: lua
  version: 5.3.5
  category: dev-lua-5.3
  useflags:
  - readline
  state: ""
  packagerequires:
  - id: 0
    name: readline
    version: '>=0'
    category: sys-libs
    useflags: []
    state: ""
    packagerequires: []
    packageconflicts: []
    provides: []
    hidden: false
    annotations: {}
    path: ""
    description: ""
    uri: []
    license: ""
    buildtimestamp: ""
    labels: {}
    treedir: ""
    repository: ""
  packageconflicts: []
  provides: []
  hidden: false
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  path: ""
  description: A powerful light-weight programming language designed for extending
    applications
  uri:
  - http://www.lua.org/
  license: MIT
  buildtimestamp: ""
  labels:
    DEPEND: '!>dev-lang/lua-5.3 readline? ( sys-libs/readline:0= ) sys-devel/libtool
      >=app-portage/elt-patches-20170815 !<sys-devel/gettext-0.18.1.1-r3 || ( >=sys-devel/automake-1.16.1:1.16
      >=sys-devel/automake-1.15.1:1.15 ) >=sys-devel/autoconf-2.69 >=sys-devel/libtool-2.4'
    IUSE: +deprecated emacs readline static test test-complete abi_x86_32 abi_x86_64
      abi_x86_x32 abi_mips_n32 abi_mips_n64 abi_mips_o32 abi_s390_32 abi_s390_64
    RDEPEND: readline? ( sys-libs/readline:0= )
    emerge.packages: dev-lua/lua:5.3
    kit: lang-kit
    original.package.name: dev-lua/lua
    original.package.slot: "5.3"
    original.package.version: 5.3.5-r1
  treedir: ""
  repository: ""
